org.apache.xmlbeans.impl.xb.xsdschema

## Interface TopLevelAttribute

- All Superinterfaces:
    Annotated, Attribute, OpenAttrs, XmlObject, XmlTokenSource
  All Known Implementing Classes:
    TopLevelAttributeImpl

      public interface TopLevelAttribute
      extends Attribute

  An XML topLevelAttribute(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Attribute

      `Attribute.Use`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<TopLevelAttribute>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the "name" attribute
    `boolean` | `isSetName()` True if has "name" attribute
    `void` | `setName(String name)` Sets the "name" attribute
    `void` | `unsetName()` Unsets the "name" attribute
    `XmlNCName` | `xgetName()` Gets (as xml) the "name" attribute
    `void` | `xsetName(XmlNCName name)` Sets (as xml) the "name" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Attribute

      `addNewSimpleType, getDefault, getFixed, getForm, getRef, getSimpleType, getType, getUse, isSetDefault, isSetFixed, isSetForm, isSetRef, isSetSimpleType, isSetType, isSetUse, setDefault, setFixed, setForm, setRef, setSimpleType, setType, setUse, unsetDefault, unsetFixed, unsetForm, unsetRef, unsetSimpleType, unsetType, unsetUse, xgetDefault, xgetFixed, xgetForm, xgetRef, xgetType, xgetUse, xsetDefault, xsetFixed, xsetForm, xsetRef, xsetType, xsetUse`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<TopLevelAttribute> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getName

          String getName()

      Gets the "name" attribute
      Specified by:
        `getName` in interface `Attribute`

    - #### xgetName

          XmlNCName xgetName()

      Gets (as xml) the "name" attribute
      Specified by:
        `xgetName` in interface `Attribute`

    - #### isSetName

          boolean isSetName()

      True if has "name" attribute
      Specified by:
        `isSetName` in interface `Attribute`

    - #### setName

          void setName(String name)

      Sets the "name" attribute
      Specified by:
        `setName` in interface `Attribute`

    - #### xsetName

          void xsetName(XmlNCName name)

      Sets (as xml) the "name" attribute
      Specified by:
        `xsetName` in interface `Attribute`

    - #### unsetName

          void unsetName()

      Unsets the "name" attribute
      Specified by:
        `unsetName` in interface `Attribute`